Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath.xml
Class JDOMParser

    java.lang.Object
      org.apache.commons.jxpath.xml.XMLParser2
          org.apache.commons.jxpath.xml.JDOMParser

All Implemented Interfaces:
  XMLParser

    public class JDOMParser

extends XMLParser2

An implementation of the XMLParser interface that produces a JDOM Document.

Version:
  $Revision: 652845 $ $Date: 2008-05-02 12:46:46 -0500 (Fri, 02 May 2008) $
Author:
  Dmitri Plotnikov

Constructor Summary
`JDOMParser()`

Method Summary
`Object` | `parseXML(InputStream stream)` Reads the supplied XML file and returns the resulting model, which is not necessarily DOM.

Methods inherited from class org.apache.commons.jxpath.xml.XMLParser2
`isCoalescing, isExpandEntityReferences, isIgnoringComments, isIgnoringElementContentWhitespace, isNamespaceAware, isValidating, setCoalescing, setExpandEntityReferences, setIgnoringComments, setIgnoringElementContentWhitespace, setNamespaceAware, setValidating`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDOMParser

    public JDOMParser()

Method Detail

### parseXML

    public Object parseXML(InputStream stream)

  Description copied from interface: `XMLParser`
  Reads the supplied XML file and returns the resulting model, which is not necessarily DOM.

  Specified by:
    `parseXML` in interface `XMLParser`
  Specified by:
    `parseXML` in class `XMLParser2`
  Parameters:
    `stream` - InputStream
  Returns:
    Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.